import javax.swing.*;
import java.awt.event.*;

/**
 * Pannello che permette di sostituire un carattere con un altro in un testo
 * Versione con JTextField
 *
 */

public class Grafica2Panel extends JPanel implements ActionListener{
	
	private JTextField t1, t2, t3, t4;
	private JButton b;
	
	public Grafica2Panel()
	{
		t1 = new JTextField(25);
		t2 = new JTextField(1);
		t3 = new JTextField(1);
		t4 = new JTextField(25);
		t4.setEditable(false);
		b = new JButton("Sostituisci");
		b.addActionListener(this); //in questo modo ho detto che e' il pannello stesso che rimane in ascolto per l'evento scatenato dal bottone
		this.add(t1);
		this.add(new JLabel("Vecchio carattere"));
		this.add(t2);
		this.add(new JLabel("Nuovo carattere"));
		this.add(t3);
		this.add(t4);
		this.add(b);
	}

	public void actionPerformed(ActionEvent e)
	{
		StringBuffer sb = new StringBuffer(t1.getText());
		char oldC, newC;
		oldC = t2.getText().charAt(0); //in questo modo prendo solo il 1 carattere
		newC = t3.getText().charAt(0);
		for(int i = 0; i<sb.length(); i++)
		{
			if(sb.charAt(i)== oldC)
				sb.setCharAt(i, newC);
		}
		t4.setText(sb.toString());
	}
}
